<template>
  <div class="popular-match-card-desktop">
    <div class="background-left"></div>
    <div class="background-right"></div>
    <div class="match-header">
      <div class="match-title">{{ match.LeagueName }}</div>
      <div class="match-date">{{ match.KickOffTimeForDisplay }}</div>
    </div>
    <div class="match-content">
      <div class="flex flex-col items-center side-logo">
        <div class="w-[60px] h-[60px]">
          <img
            class="h-full max-w-full"
            v-lazy="match.HomeTeamIconUrl"
            alt="home"
          />
        </div>
        <p class="team-name">{{ match.HomeName }}</p>
        <p>
          <span class="blue_num">{{ match.HandicapPointForDisplay }}</span
          >{{ match.HandicapHomeOddsForDisplay }}
        </p>
      </div>
      <div
        class="w-[108px] flex flex-col items-center justify-center mt-9 mb-3.5"
      >
        <div class="match-result">
          {{ match.HomeScore }} : {{ match.AwayScore }}
        </div>
        <el-button
          type="button"
          class="cursor-pointer match-card-btn"
          :disabled="isDisabled"
          :data-id="match.MatchId"
          @click="onBetNowClick(match)"
        >
          <span class="truncate --textBtn" :title="$t('bet_now')">{{
            $t("bet_now")
          }}</span>
        </el-button>
      </div>
      <div class="flex flex-col items-center side-logo">
        <div class="w-[60px] h-[60px]">
          <img
            class="h-full max-w-full"
            v-lazy="match.AwayTeamIconUrl"
            alt="away"
          />
        </div>
        <p class="team-name">{{ match.AwayName }}</p>
        <p>
          <span class="blue_num">
            {{ Number(Number(match.HandicapPointForDisplay) * -1).toFixed(2) }}
          </span>
          {{ match.HandicapAwayOddsForDisplay }}
        </p>
      </div>
    </div>
  </div>
</template>

<script setup lang="ts">
import { PropType } from "vue";
import { RecommendMatch } from "@/models/theme/popular_match/popularMatch";
import commonHelper from "@/utils/commonHelper";

defineProps({
  match: {
    type: Object as PropType<RecommendMatch>,
    required: true,
  },
});

const { getAssetImage } = commonHelper;
const { isDisabled, onBetNowClick } = usePopularMatchCard();
const bgLeft = `url(${getAssetImage(
  "assets/theme/common/popular_match/frame_123.png"
)})`;
const bgRight = `url(${getAssetImage(
  "assets/theme/common/popular_match/frame_124.png"
)}`;
</script>

<style scoped lang="scss">
.popular-match-card-desktop {
  position: relative;
  background: var(--background5);
  border: 2px solid var(--background1);
  border-radius: 20px 0px;
  font-family: Roboto, sans-serif;
  font-size: 14px;
  line-height: 16px;
  font-style: normal;
  font-weight: 400;
  color: var(--text5);
  margin-right: 9px;
  z-index: 0;
  display: flex;
  flex-direction: column;
  width: 394px;
  height: 184px;
  &:last-child {
    margin-right: 0px;
  }
  .background-left {
    width: 184px;
    height: 184px;
    background-image: v-bind("bgLeft");
    position: absolute;
    top: 0;
    left: 0;
    background-size: contain;
    z-index: -1;
  }
  .background-right {
    width: 184px;
    height: 184px;
    background-image: v-bind("bgRight");
    position: absolute;
    bottom: 0;
    right: 0;
    background-size: contain;
    z-index: -1;
  }
  .match-header {
    text-align: center;
    .match-title {
      padding-top: 12px;
    }
    .match-date {
      color: var(--primary);
      font-weight: 700;
      margin-top: 4px;
    }
  }
  .match-result {
    color: var(--text5);
    font-weight: 900;
    font-size: 40px;
    text-align: center;
    width: 86px;
    height: 47px;
  }
  .match-content {
    display: flex;
    padding-left: 6px;
    justify-content: space-between;
    .team-name {
      font-size: 12px;
      display: flex;
      align-items: center;
      justify-content: center;
      width: 100px;
      height: 32px;
      line-height: 14px;
    }

    .side-logo {
      text-align: center;
      width: 35%;
    }

    .blue_num {
      color: var(--primary);
      padding-right: 12px;
    }
  }
  .match-card-btn {
    &.el-button {
      border: none;
    }
    &.is-disabled {
      cursor: default;
    }
    color: var(--primary);
    width: 108px;
    height: 38px;
    background: var(--primary);
    box-shadow: inset -2px -2px 2px rgba(0, 0, 0, 0.25),
      inset 2px 2px 2px rgba(255, 255, 255, 0.25);
    border-radius: 8px 0px;
    position: relative;
    z-index: 1;
    text-align: center;
    span {
      width: 68px;
      color: var(--textBtn);
      font-size: 12px;
      font-weight: 900;
    }
  }
}
</style>
